Bug 249794 - Clicking on one Device after the other causes a crash in hardinfo
Summary: Clicking on one Device after the other causes a crash in hardinfo
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: hardinfo   
(Show other bugs)
Version: rawhide
Hardware: x86_64 Linux
low
low
Target Milestone: ---
Assignee: Adel Gadllah
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-27 02:21 UTC by Deji Akingunola
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version: hardinfo-0.4.2.2-16.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-15 12:39:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
hardinfo backtrace (12.40 KB, application/octet-stream)
2007-07-27 12:19 UTC, Deji Akingunola
no flags Details
hardinfo full backtrace (31.18 KB, text/plain)
2007-07-28 03:35 UTC, Deji Akingunola
no flags Details
stderr output (1.11 KB, text/plain)
2007-07-31 12:21 UTC, Deji Akingunola
no flags Details
hardinfo crash backtrace (32.56 KB, text/plain)
2007-07-31 14:03 UTC, Deji Akingunola
no flags Details
hardinfo crash backtrace (36.83 KB, text/plain)
2007-08-02 14:55 UTC, Deji Akingunola
no flags Details

Description Deji Akingunola 2007-07-27 02:21:54 UTC
Description of problem: Successive click on any two Device on the left pane of
hardinfo causes it to crash. I started it on the terminal and was the trace
below after it crashed.
>>
[deji@agape ~]$ hardinfo
*** glibc detected *** hardinfo: double free or corruption (out):
0x000000000087ca60 ***
======= Backtrace: =========
/lib64/libc.so.6[0x3116c70412]
/lib64/libc.so.6(cfree+0x8c)[0x3116c73b1c]
/lib64/libglib-2.0.so.0[0x311b822609]
/lib64/libglib-2.0.so.0[0x311b82280f]
hardinfo[0x40b534]
hardinfo[0x40c3af]
/lib64/libgobject-2.0.so.0(g_closure_invoke+0x10a)[0x311bc0b14a]
/lib64/libgobject-2.0.so.0[0x311bc1bbd7]
/lib64/libgobject-2.0.so.0(g_signal_emit_valist+0x78d)[0x311bc1cf8d]
/lib64/libgobject-2.0.so.0(g_signal_emit+0x83)[0x311bc1d243]
/usr/lib64/libgtk-x11-2.0.so.0[0x2aaaaad376da]
/usr/lib64/libgtk-x11-2.0.so.0[0x2aaaaad46637]
/usr/lib64/libgtk-x11-2.0.so.0[0x2aaaaac37bd1]
/lib64/libgobject-2.0.so.0(g_closure_invoke+0x10a)[0x311bc0b14a]
/lib64/libgobject-2.0.so.0[0x311bc1c203]
/lib64/libgobject-2.0.so.0(g_signal_emit_valist+0x628)[0x311bc1ce28]
/lib64/libgobject-2.0.so.0(g_signal_emit+0x83)[0x311bc1d243]
/usr/lib64/libgtk-x11-2.0.so.0[0x2aaaaad59eae]
/usr/lib64/libgtk-x11-2.0.so.0(gtk_propagate_event+0xfc)[0x2aaaaac2f7ac]
/usr/lib64/libgtk-x11-2.0.so.0(gtk_main_do_event+0x339)[0x2aaaaac30919]
/usr/lib64/libgdk-x11-2.0.so.0[0x2aaaab10e73c]
/lib64/libglib-2.0.so.0(g_main_context_dispatch+0x1c3)[0x311b82ef13]
/lib64/libglib-2.0.so.0[0x311b83220d]
/lib64/libglib-2.0.so.0(g_main_loop_run+0x1ca)[0x311b83251a]
/usr/lib64/libgtk-x11-2.0.so.0(gtk_main+0xa3)[0x2aaaaac30d23]
hardinfo(main+0x107)[0x40a387]
/lib64/libc.so.6(__libc_start_main+0xf4)[0x3116c1dab4]
hardinfo[0x40a1c9]
======= Memory map: ========
00400000-00420000 r-xp 00000000 fd:00 2084310                           
/usr/bin/hardinfo
00620000-00622000 rw-p 00020000 fd:00 2084310                           
/usr/bin/hardinfo
00622000-008e9000 rw-p 00622000 00:00 0                                  [heap]
3115c00000-3115c1a000 r-xp 00000000 fd:00 9339177                       
/lib64/ld-2.6.so
3115e1a000-3115e1b000 r--p 0001a000 fd:00 9339177                       
/lib64/ld-2.6.so
3115e1b000-3115e1c000 rw-p 0001b000 fd:00 9339177                       
/lib64/ld-2.6.so
3116000000-3116051000 r-xp 00000000 fd:00 2069981                       
/usr/lib64/libspi.so.0.10.11
3116051000-3116250000 ---p 00051000 fd:00 2069981                       
/usr/lib64/libspi.so.0.10.11
3116250000-3116261000 rw-p 00050000 fd:00 2069981                       
/usr/lib64/libspi.so.0.10.11
3116400000-3116479000 r-xp 00000000 fd:00 2078450                       
/usr/lib64/libgnutls.so.13.3.0
3116479000-3116678000 ---p 00079000 fd:00 2078450                       
/usr/lib64/libgnutls.so.13.3.0
3116678000-3116682000 rw-p 00078000 fd:00 2078450                       
/usr/lib64/libgnutls.so.13.3.0
3116c00000-3116d47000 r-xp 00000000 fd:00 9339178                       
/lib64/libc-2.6.so
3116d47000-3116f47000 ---p 00147000 fd:00 9339178                       
/lib64/libc-2.6.so
3116f47000-3116f4b000 r--p 00147000 fd:00 9339178                       
/lib64/libc-2.6.so
3116f4b000-3116f4c000 rw-p 0014b000 fd:00 9339178                       
/lib64/libc-2.6.so
3116f4c000-3116f51000 rw-p 3116f4c000 00:00 0 
3117000000-3117082000 r-xp 00000000 fd:00 9339179                       
/lib64/libm-2.6.so
3117082000-3117281000 ---p 00082000 fd:00 9339179                       
/lib64/libm-2.6.so
3117281000-3117282000 r--p 00081000 fd:00 9339179                       
/lib64/libm-2.6.so
3117282000-3117283000 rw-p 00082000 fd:00 9339179                       
/lib64/libm-2.6.so
3117400000-3117402000 r-xp 00000000 fd:00 9339180                       
/lib64/libdl-2.6.so
3117402000-3117602000 ---p 00002000 fd:00 9339180                       
/lib64/libdl-2.6.so
3117602000-3117603000 r--p 00002000 fd:00 9339180                       
/lib64/libdl-2.6.so
3117603000-3117604000 rw-p 00003000 fd:00 9339180                       
/lib64/libdl-2.6.so
3117800000-3117814000 r-xp 00000000 fd:00 9339184                       
/lib64/libz.so.1.2.3
3117814000-3117a13000 ---p 00014000 fd:00 9339184                       
/lib64/libz.so.1.2.3
3117a13000-3117a14000 rw-p 00013000 fd:00 9339184                       
/lib64/libz.so.1.2.3
3117c00000-3117c05000 r-xp 00000000 fd:00 12126Aborted
[deji@agape ~]$ 



Version-Release number of selected component (if applicable):


How reproducible: Always


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Adel Gadllah 2007-07-27 08:00:28 UTC
I can't reproduce this here. Can you generate a proper backtrace?
1) Install hardinfo-debuginfo
2) Open a Terminal and type gdb
3) type file /usr/bin/hardinfo
4) type r
5) reproduce the crash
6) type bt full
7) copy and attach the output.

Comment 2 Adel Gadllah 2007-07-27 08:47:33 UTC
Can you reproduce it with this version?
http://koji.fedoraproject.org/koji/buildinfo?buildID=12096

Comment 3 Deji Akingunola 2007-07-27 12:19:00 UTC
Created attachment 160112 [details]
hardinfo backtrace

Comment 4 Deji Akingunola 2007-07-27 12:19:57 UTC
I got the latest version for rawhide (hardinfo-0.4.2.2-8.fc8) from koji. It
seems I'll need to install other debuginfo rpms to really get a full backtrace.
However following the steps you outline above, i got the attached backtrace.

Comment 5 Adel Gadllah 2007-07-27 17:47:01 UTC
thx for the backtrace but its useless without the other debuginfo packages...
can you install them and recreate it?
also does this happen for all devices?

Comment 6 Deji Akingunola 2007-07-28 03:35:13 UTC
Created attachment 160154 [details]
hardinfo full backtrace

Here is the full backtrace. It happens for any 2 devices, selecting one after
the other.

Comment 7 Adel Gadllah 2007-07-30 07:54:23 UTC
does this build fix it for you?
http://koji.fedoraproject.org/koji/buildinfo?buildID=12273

Comment 8 Deji Akingunola 2007-07-30 12:39:57 UTC
It crashed similarly.

Comment 9 Adel Gadllah 2007-07-31 07:34:34 UTC
Ok, please run this and redirect stderr output to a file and attach it here.
http://koji.fedoraproject.org/koji/buildinfo?buildID=12372
-------
1) Open a terminal
2) type
hardinfo 2>debug.log
3) attach this file here


Comment 10 Deji Akingunola 2007-07-31 12:21:52 UTC
Created attachment 160308 [details]
stderr output

Comment 11 Deji Akingunola 2007-07-31 12:23:35 UTC
Requested info attached.

Comment 12 Adel Gadllah 2007-07-31 12:26:52 UTC
has this info been created while reproducing the crash?

Comment 13 Deji Akingunola 2007-07-31 12:32:13 UTC
Yes, but oddly enough it doesn't seem to contain any information about the crash
itself. I can provide you the full baktrace too if you want, it's no much
different from the earlier one.

Comment 14 Adel Gadllah 2007-07-31 13:48:56 UTC
ok, please attach it too ... it wont hurt

Comment 15 Deji Akingunola 2007-07-31 14:03:19 UTC
Created attachment 160320 [details]
hardinfo crash backtrace

Produced with hardinfo-0.4.2.2-11.fc8

Comment 16 Adel Gadllah 2007-08-02 08:04:12 UTC
Please try this build (it should fix it):
http://koji.fedoraproject.org/koji/buildinfo?buildID=12548

Comment 17 Deji Akingunola 2007-08-02 14:55:33 UTC
Created attachment 160527 [details]
hardinfo crash backtrace

Unfortunately, it still crashes as before. I've attached the backtrace gotten
with hardinfo-0.4.2.2-12.fc8.x86_64.rpm; this time I selected 'Memory' first
and then 'PCI Devices' next (the same crash always occur with any selecting any
device first, followed by another).

Comment 18 Adel Gadllah 2007-08-15 07:52:12 UTC
Sorry for the delay.
Can you try this build:
http://koji.fedoraproject.org/koji/buildinfo?buildID=13783
I was able to reproduce this on F8-Test1 and created this patch (was working for
me). Please confirm if it works for you too or not.

Comment 19 Deji Akingunola 2007-08-15 09:35:31 UTC
Unfortunately no, hardinfo-0.4.2.2-15.fc8.x86_64.rpm still doesn't work for me,
similar crash.

Comment 20 Adel Gadllah 2007-08-15 11:03:13 UTC
ok thx for testing.
can you try this build after finished building:
http://koji.fedoraproject.org/koji/buildinfo?buildID=13799

Comment 21 Deji Akingunola 2007-08-15 12:39:49 UTC
Phew, at last hardinfo-0.4.2.2-16.fc8.x86_64.rpm DOES WORK :). Thanks for your
efforts at resolving this.


Note You need to log in before you can comment on or make changes to this bug.